Bug 211901 - "File"->"New machine..." fails with no apparent cause
"File"->"New machine..." fails with no apparent cause
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-23 15:10 EDT by Dave Malcolm
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-17 08:50:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2006-10-23 15:10:45 EDT
Description of problem:
For some reason HAL isn't starting on this box.

When I click on File->New Machine... in virt-manager there is no apparent effect
in the GUI, I have to have launched it from the command line to figure out what
the problem is.

Version-Release number of selected component (if applicable):
virt-manager-0.2.3-2.fc6

How reproducible:
100%

Steps to Reproduce:
1. Have a broken hal, or possibly "service stop hal"
2. Run virt-manager
3. File->New Machine...
  
Actual results:
There is no GUI feedback; the following appears on the terminal I launched
virt-manager from
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/engine.py", line 130, in _do_show_create
    self.show_create(uri)
  File "/usr/share/virt-manager/virtManager/engine.py", line 214, in show_create
    self.windowCreate = vmmCreate(self.get_config(), self.get_connection(uri,
False))
  File "/usr/share/virt-manager/virtManager/create.py", line 83, in __init__
    self.set_initial_state()
  File "/usr/share/virt-manager/virtManager/create.py", line 116, in
set_initial_state
    self.populate_opt_media(cd_model)
  File "/usr/share/virt-manager/virtManager/create.py", line 532, in
populate_opt_media
    self.hal_iface.connect_to_signal("DeviceAdded", self._device_added)
  File "/usr/lib/python2.4/site-packages/dbus/_dbus.py", line 291, in
connect_to_signal
    self._obj.connect_to_signal(signal_name, handler_function, dbus_interface,
**keywords)
  File "/usr/lib/python2.4/site-packages/dbus/proxies.py", line 151, in
connect_to_signal
    path=self._object_path,
  File "/usr/lib/python2.4/site-packages/dbus/_dbus.py", line 179, in
add_signal_receiver
    named_service = bus_object.GetNameOwner(named_service,
dbus_interface='org.freedesktop.DBus')
  File "/usr/lib/python2.4/site-packages/dbus/proxies.py", line 25, in __call__
    ret = self._proxy_method (*args, **keywords)
  File "/usr/lib/python2.4/site-packages/dbus/proxies.py", line 102, in __call__
    reply_message = self._connection.send_with_reply_and_block(message, timeout)
  File "dbus_bindings.pyx", line 455, in
dbus_bindings.Connection.send_with_reply_and_block
dbus_bindings.DBusException: Could not get owner of name 'org.freedesktop.Hal':
no such name
Introspect error: The name org.freedesktop.Hal was not provided by any .service
files


Expected results:
The GUI should display an error dialog saying that an error occurred, with a
Details expander, showing a copy-and-pasteable textview showing the traceback
Comment 1 Daniel Berrange 2006-10-25 15:05:30 EDT
Fix upstream at

http://hg.et.redhat.com/virt/applications/virt-manager--devel?cs=a77ff57c95d6
Comment 2 Fedora Update System 2006-11-10 09:45:40 EST
virt-manager-0.2.6-1.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Fedora Update System 2006-11-17 08:28:26 EST
virt-manager-0.2.6-1.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.